Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.univrennes1.cri.calendar
Class ConfigSSO

    java.lang.Object
      |
      +--fr.univrennes1.cri.calendar.ConfigSSO

public class ConfigSSO
extends java.lang.Object

Constructor Summary
`ConfigSSO()` constructeur

Method Summary
`void` | `addRoot(java.lang.String _appId, java.lang.String _SSOPrefix, java.lang.String _SOTValidationTime, java.lang.String _SOTCleanTime, java.lang.String _domain)` Cette fonction affecte les instances de la classe avec les valeurs recupérées du fichier de configuration properties/ConfigSSO.xml
`java.lang.String` | `getAppId()`
`java.lang.String` | `getDomain()`
`static ConfigSSO` | `getInstance()`
`java.lang.String` | `getSOTCleanTime()`
`java.lang.String` | `getSOTValidationTime()`
`java.lang.String` | `getSsoApPrefix()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigSSO

    public ConfigSSO()
              throws java.io.IOException,
                     javax.servlet.jsp.JspException

  constructeur

Throws:
  `java.io.IOException`
  `javax.servlet.jsp.JspException`

Method Detail

### addRoot

    public void addRoot(java.lang.String _appId,
                        java.lang.String _SSOPrefix,
                        java.lang.String _SOTValidationTime,
                        java.lang.String _SOTCleanTime,
                        java.lang.String _domain)

  Cette fonction affecte les instances de la classe avec les valeurs recupérées du fichier de configuration properties/ConfigSSO.xml

  Parameters:
    `_appId` - identifiant, préfixe du cookie de l'application
    `_SSOPrefix` - identifiant unique de l'application, suffixe du cookie de l'application
    `_SOTCleanTime` - temps entre deux nettoyage de la Hashtable en seconde
    `_domain` - domaine de validité du cookie

### getAppId

    public java.lang.String getAppId()

  Returns:
    l'identifiant unique de l'application

### getDomain

    public java.lang.String getDomain()

  Returns:
    nom de domaine de l'application

### getInstance

    public static ConfigSSO getInstance()
                                 throws java.io.IOException,
                                        javax.servlet.jsp.JspException

  Returns:
    singleton du type ConfigSSO
  Throws:
    `java.io.IOException`
    `javax.servlet.jsp.JspException`

### getSOTCleanTime

    public java.lang.String getSOTCleanTime()

  Returns:
    temps entre deux nettoyage de la Hashtable en seconde

### getSOTValidationTime

    public java.lang.String getSOTValidationTime()

  Returns:
    temps en seconde de la durée de validité du cookie

### getSsoApPrefix

    public java.lang.String getSsoApPrefix()

  Returns:
    identifiant, préfixe du cookie de l'application

Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD